## pytest-regressions 2.2.0+ds

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pytest-regressions
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pytest-regressions (2.2.0+ds-1) unstable; urgency=medium

  * New upstream release 2.2.0+ds

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 02 Feb 2021 22:32:43 +0100

pytest-regressions (2.1.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #977768).
  * ds repack to remove .gitignore and .github

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 19 Dec 2020 16:46:17 +0100

=== debian/control ===
Source: pytest-regressions
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-pytest-datadir,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-yaml,
               tox
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/ESSS/pytest-regressions
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-regressions.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-regressions

Package: python3-pytest-regressions
Architecture: all
Depends: libjs-sphinxdoc,
         node-html5shiv,
         python3-pytest,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: py.test fixtures to write regression tests
 This plugin makes it simple to test general data, images, files, and numeric
 tables by saving expected data in a data directory (using pytest-datadir) that
 can be used to verify that future runs produce the same data.
 .
 This package provides the py.test plugin for Python 3 code.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=pytest-regressions

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:

override_dh_auto_test:

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))<F12>
	PYTHONPATH=. python3 -m sphinx -b html -d doc/.build/.doctrees -N doc debian/python3-pytest-regressions/usr/share/doc/python3-pytest-regressions/html/
endif
	find debian/python3-pytest-regressions -name 'html5shiv.min.js' -type f -exec \
		ln -sf /usr/share/nodejs/html5shiv/dist/html5shiv.min.js {} \;
	find debian/python3-pytest-regressions -name 'html5shiv-printshiv.min.js' -type f -exec \
		ln -sf /usr/share/nodejs/html5shiv/dist/html5shiv-printshiv.min.js {} \;
	# Sphinx-provided
	find debian/python3-pytest-regressions -name 'jquery.js' -type f -exec \
		ln -sf /usr/share/javascript/sphinxdoc/1.0/jquery.js {} \;
	find debian/python3-pytest-regressions -name 'underscore.js' -type f -exec \
		ln -sf /usr/share/javascript/sphinxdoc/1.0/underscore.js {} \;
	find debian/python3-pytest-regressions -name 'doctools.js' -type f -exec \
		ln -sf /usr/share/javascript/sphinxdoc/1.0/doctools.js {} \;
	find debian/python3-pytest-regressions -name 'searchtools.js' -type f -exec \
		ln -sf /usr/share/javascript/sphinxdoc/1.0/searchtools.js {} \;
	find debian/python3-pytest-regressions -name 'language_data.js' -type f -exec \
		ln -sf /usr/share/javascript/sphinxdoc/1.0/language_data.js {} \;

## pytest-regressions 2.4.1+ds

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 SPHINXPROJ    = pytest-regressions
 SOURCEDIR     = .

=== debian/changelog ===
pytest-regressions (2.4.1+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 13:02:32 +0000

pytest-regressions (2.4.1+ds-1) unstable; urgency=medium

  * New upstream release 2.4.1+ds
  * d/watch: move to github
  * d/control:
    - Bump Standards-Version to 4.6.1

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 31 Oct 2022 22:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-sphinx-rtd-theme,
                python3-yaml,
                tox
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ESSS/pytest-regressions
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-regressions.git

## pytest-regressions 2.5.0%2Bds

=== debian/changelog ===
pytest-regressions (2.5.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Patches: add 02 to avoid test failure on s390x.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 02 Jan 2024 17:17:45 +0000

pytest-regressions (2.5.0+ds-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * Team upload.
  * New upstream release 2.5.0+ds
  * d/control:
    - Bump Standards-Version from 4.6.1 to 4.6.2.
    - Remove unnecessary dependency on libjs-sphinxdoc.
  * d/upstream/metadata: Set upstream metadata fields: Repository,
    Bug-Database, Bug-Submit.
  * d/rules:
    - Remove empty override_dh_auto_clean.
    - Replace nodocs check with nodoc.
  * d/source/options: Remove and let dh-python clean egg-info.
  * d/clean: Remove autogenerated files (Closes: #1048322).
  * d/salsa-ci.yml: Enable salsa-ci pipeline.
  * d/copyright: Replace copyright for all files to be 2018 ESSS.

  [ Jeroen Ploemen ]
  * Rules: employ dh_sphinxdoc instead of manual symlinking of .js
    files; also deals with numerous fonts previously installed into
    the binary package, and setting appropriate dependencies.
  * Tests: run the upstream testsuite on build, and use the same as an
    autopkgtest via Testsuite: autopkgtest-pkg-pybuild.
  * Control: add build-depends on python3-matplotlib, python3-numpy,
    python3-pandas, and python3-pil to support running the tests.
  * Patches: add 01 to not fail the tests over deprecation warnings.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 28 Dec 2023 13:09:07 +0000

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,27 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-pytest,
-               python3-pytest-datadir,
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-yaml,
-               tox
-Standards-Version: 4.6.1
+               python3-matplotlib <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pil <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-datadir <!nocheck>,
+               python3-yaml <!nocheck>,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/ESSS/pytest-regressions
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-regressions.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-regressions
 
 Package: python3-pytest-regressions
 Architecture: all
-Depends: libjs-sphinxdoc,
-         node-html5shiv,
-         python3-pytest,
+Depends: python3-pytest,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

## pytest-regressions 2.5.0+ds

=== debian/changelog ===
pytest-regressions (2.5.0+ds-3) unstable; urgency=medium

  * Team Upload
  * Replace "py.test" with "pytest" in description
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump "Standards-Version" to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Oct 2025 11:52:35 +0100

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=pytest-regressions

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# Run tests later on, once the entry point for the pytest plugin got registered

execute_after_dh_auto_install:
	# Test o'clock
	dh_auto_test

execute_before_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html -d doc/.build/.doctrees -N doc debian/python3-pytest-regressions/usr/share/doc/python3-pytest-regressions/html/

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+ds$//,repacksuffix=+ds \
https://github.com/ESSS/@PACKAGE@/tags (?:.*/)(\d+(?:\.\d+)+)\.tar\.gz
